de.caff.generics.function

## Interface CharOperator2

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface CharOperator2

  Binary operator with two char arguments and a char result.
  Since:
    October 31, 2019
  Author:
    Rammi

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default CharOperator2` | `andThen(CharOperator1 after)` Create a function which applies this function and feeds the result into the next function.
    `char` | `applyAsChar(char arg1, char arg2)` Apply the function.
    `default CharOperator1` | `partialLeft(char argument)` Get a partially applied function.
    `default CharOperator1` | `partialRight(char argument)` Get a partially applied function.

- - ### Method Detail

    - #### applyAsChar

          char applyAsChar(char arg1,
                           char arg2)

      Apply the function.
      Parameters:
        `arg1` - first argument
        `arg2` - second argument
      Returns:
        result of the function

    - #### partialLeft

          @NotNull
          default CharOperator1 partialLeft(char argument)

      Get a partially applied function.
      Parameters:
        `argument` - value applied for first argument
      Returns:
        partially evaluated function

    - #### partialRight

          @NotNull
          default CharOperator1 partialRight(char argument)

      Get a partially applied function.
      Parameters:
        `argument` - value applied for second argument
      Returns:
        partially evaluated function

    - #### andThen

          @NotNull
          default CharOperator2 andThen(@NotNull
                                                 CharOperator1 after)

      Create a function which applies this function and feeds the result into the next function.
      Parameters:
        `after` - function called with the result of this function
      Returns:
        chained function